[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] branch master updated: ci: print all logs from failed t
From: |
gnunet |
Subject: |
[taler-exchange] branch master updated: ci: print all logs from failed test |
Date: |
Wed, 06 Sep 2023 23:01:56 +0200 |
This is an automated email from the git hooks/post-receive script.
devan-carpenter pushed a commit to branch master
in repository exchange.
The following commit(s) were added to refs/heads/master by this push:
new 2ecd012b ci: print all logs from failed test
2ecd012b is described below
commit 2ecd012b569789fa6c6d461fdbbc76473422cf53
Author: Devan Carpenter <devan@taler.net>
AuthorDate: Wed Sep 6 13:29:39 2023 -0400
ci: print all logs from failed test
was previously only printing logs from one subset of tests
---
ci/jobs/1-test/test.sh | 11 +++++++----
1 file changed, 7 insertions(+), 4 deletions(-)
diff --git a/ci/jobs/1-test/test.sh b/ci/jobs/1-test/test.sh
index 64be6325..27582dd7 100755
--- a/ci/jobs/1-test/test.sh
+++ b/ci/jobs/1-test/test.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -exuo pipefail
+set -evu
./bootstrap
./configure CFLAGS="-ggdb -O0" \
@@ -15,10 +15,13 @@ check_command()
print_logs()
{
- for i in $(cat src/util/test-suite.log | grep '^FAIL:' | cut -d' ' -f
2)
+ for i in src/*/test-suite.log
do
- echo Printing $i.log:
- tail src/util/$i.log
+ FAILURE="$(grep '^FAIL:' ${i} | cut -d' ' -f2)"
+ if [ ! -z "${FAILURE}" ]; then
+ echo "Printing ${FAILURE}.log"
+ tail "$(dirname $i)/${FAILURE}.log"
+ fi
done
}
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-exchange] branch master updated: ci: print all logs from failed test,
gnunet <=